<?xml version="1.0" encoding="UTF-8"?>
<style-scheme id="tempus-future" _name="Tempus Future" version="1.0">
  <author>Protesilaos Stavrou (https://protesilaos.com)</author>
  <_description>Dark theme with colours inspired by concept art of outer space (WCAG AAA compliant)</_description>

  <!-- Palette -->
  <color name="col0" value="#090a18"/>
  <color name="col1" value="#ff778a"/>
  <color name="col2" value="#6ab539"/>
  <color name="col3" value="#bfa01a"/>
  <color name="col4" value="#4aaed3"/>
  <color name="col5" value="#e58a82"/>
  <color name="col6" value="#29b3bb"/>
  <color name="col7" value="#a59ebd"/>
  <color name="col8" value="#260e22"/>
  <color name="col9" value="#f78e2f"/>
  <color name="col10" value="#60ba80"/>
  <color name="col11" value="#de9b1d"/>
  <color name="col12" value="#8ba7ea"/>
  <color name="col13" value="#e08bd6"/>
  <color name="col14" value="#2cbab6"/>
  <color name="col15" value="#b4abac"/>

  <!-- Base values -->
  <color name="colbg" value="#090a18"/>
  <color name="colbgalt" value="#260e22"/>
  <color name="colbgdim" value="#170c1d"/>
  <color name="colfg" value="#b4abac"/>
  <color name="colfgalt" value="#a59ebd"/>
  <color name="colcr" value="#b4abac"/>

  <!-- Extra values -->
  <color name="colwarn" value="#bfa01a"/>
  <color name="colerr" value="#ff778a"/>
  <color name="colnote" value="#6ab539"/>

  <!-- Global Settings -->
  <style name="text" foreground="colfg" background="colbg"/>
  <style name="line-numbers" foreground="colfgalt" background="colbgalt"/>
  <style name="current-line" background="colbgdim"/>
  <style name="current-line-number" foreground="colfgalt" background="colbgalt" bold="true"/>
  <style name="draw-spaces" foreground="colfgalt"/>
  <style name="background-pattern" background="colbg"/>

  <!-- Bracket Matching -->
  <style name="bracket-match" foreground="colbg" background="col13"/>
  <style name="bracket-mismatch" foreground="colbg" background="col3"/>

  <!-- Right Margin -->
  <style name="right-margin" foreground="colfgalt" background="colbgalt"/>

  <!-- Search Matching -->
  <style name="search-match" foreground="colbg" background="col2" bold="true"/>

  <!-- Comments -->
  <style name="def:comment" foreground="colfgalt" italic="true"/>
  <style name="def:shebang" foreground="colfgalt" bold="true" italic="true"/>
  <style name="def:doc-comment-element" italic="true"/>

  <!-- Constants -->
  <style name="def:constant" foreground="col4"/>
  <style name="def:special-char" foreground="col11" bold="true"/>

  <!-- Identifiers -->
  <style name="def:identifier" foreground="col13"/>

  <!-- Statements -->
  <style name="def:statement" foreground="col10" bold="true"/>

  <!-- Types -->
  <style name="def:type" foreground="col6" bold="true"/>

  <!-- Others -->
  <style name="def:preprocessor" foreground="col9"/>
  <style name="def:error" underline="single" underline-color="colerr" foreground="colerr"/>
  <style name="def:warning" underline="single" underline-color="colwarn" foreground="colwarn"/>
  <style name="def:note" underline="single" underline-color="colnote" foreground="colnote"/>
  <style name="def:underlined" italic="true" underline="single"/>

  <!-- Heading styles, uncomment to enable -->
  <!--
  <style name="def:heading0" scale="5.0"/>
  <style name="def:heading1" scale="2.5"/>
  <style name="def:heading2" scale="2.0"/>
  <style name="def:heading3" scale="1.7"/>
  <style name="def:heading4" scale="1.5"/>
  <style name="def:heading5" scale="1.3"/>
  <style name="def:heading6" scale="1.2"/>
  -->

  <!-- Language specific styles -->
  <style name="diff:added-line" foreground="colbg" background="col2" bold="true"/>
  <style name="diff:removed-line" foreground="colbg" background="col1" bold="true"/>
  <style name="diff:changed-line" use-style="def:preprocessor"/>
  <style name="diff:special-case" use-style="def:constant"/>
  <style name="diff:location" use-style="def:statement"/>
  <style name="diff:diff-file" use-style="def:type"/>

</style-scheme>
